XINE(1)

NAME
@XL@ - get supported filetype information from xine-lib

SYNOPSIS
@XL@ [options...]

DESCRIPTION

@XL@ is a tool that is used to list the MIME type and filename extension information known and supported by the installed xine-lib. It is of use in filling in MIME information in front ends' desktop files.

OPTIONS
@XL@ accepts the following options:

-m  --mime-types List the MIME types known to xine-lib. (This is the default action.)

-e  --extensions List the file types (filename extensions) known to xine-lib.

-a  --all List the MIME types known to xine-lib, along with their filename extensions and descriptions.

-p  --pretty-print Add line feeds; print each item on a line of its own.

COPYRIGHT
Copyright © 2008 the xine project. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.